Subject: Re: bug#53945: saveplace should save the buffer's mark list too

From: Juri Linkov <[email-masked]>
Date: Sat, 12 Feb 2022 21:30:31 +0200

> saveplace is great when I open a file and I'm right there where I was last
> time.
>
> But sometimes I remember being at various locations in the file and I want
> to quickly visit some of them via the mark ring, but alas the mark ring is
> not restored.
>
> The mark locations are also places in a file, so saveplace should save and
> restore the buffer's mark ring too, in addition to the last cursor
> location, so that the mark ring info is not lost.

Did you know that desktop-save-mode saves the mark ring of every buffer?